Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 7153563438e9519930df2873449e82f98e73efc5)
+++ BOOK/packages.ent	(revision 9bb8064c5dcfeef13ae7921e726653033d62b922)
@@ -296,9 +296,9 @@
 <!ENTITY module-init-tools-home "http://www.kerneltools.org/KernelTools.org">
 
-<!ENTITY ncurses-version "5.6">
-<!ENTITY ncurses-size "2,352 KB">
+<!ENTITY ncurses-version "5.7">
+<!ENTITY ncurses-size "2,392 KB">
 <!ENTITY ncurses-url "ftp://ftp.gnu.org/pub/gnu/ncurses/ncurses-&ncurses-version;.tar.gz">
-<!ENTITY ncurses-md5 "b6593abe1089d6aab1551c105c9300e3">
-<!ENTITY ncurses-home "http://dickey.his.com/ncurses">
+<!ENTITY ncurses-md5 "cce05daf61a64501ef6cd8da1f727ec6">
+<!ENTITY ncurses-home "&gnu-software;ncurses">
 
 <!ENTITY patch-version "2.5.9">
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 7153563438e9519930df2873449e82f98e73efc5)
+++ BOOK/patches.ent	(revision 9bb8064c5dcfeef13ae7921e726653033d62b922)
@@ -53,7 +53,7 @@
 <!ENTITY ncurses-bashfix-patch-size "4 KB">
 
-<!ENTITY ncurses-branch_update-patch "ncurses-&ncurses-version;-branch_update-3.patch">
-<!ENTITY ncurses-branch_update-patch-md5 "5c5436409af4699e8b81e4100b5203ec">
-<!ENTITY ncurses-branch_update-patch-size "7188 KB">
+<!ENTITY ncurses-branch_update-patch "ncurses-&ncurses-version;-branch_update-1.patch">
+<!ENTITY ncurses-branch_update-patch-md5 "a45276c1d6063a188a75e20f1f97e7b5">
+<!ENTITY ncurses-branch_update-patch-size "432 KB">
 
 <!ENTITY perl-libc-patch "perl-&perl-version;-libc-1.patch">
